Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fyhyp_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fyhyp_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fyhyp_m.F90	(revision 5116)
@@ -16,7 +16,7 @@
     ! Il vaut mieux avoir : grossismy * dzoom < pi / 2
 
-    use lmdz_coefpoly, only: coefpoly
-    use nrtype, only: k8
-    use serre_mod, only: clat, grossismy, dzoomy, tauy
+    use lmdz_coefpoly, ONLY: coefpoly
+    use nrtype, ONLY: k8
+    use serre_mod, ONLY: clat, grossismy, dzoomy, tauy
 
     include "dimensions.h"
@@ -207,5 +207,5 @@
              yprimin = a1 + 2.*a2*yi + 3.*a3*yi2
           END DO
-          if (abs(yi-yo1) > epsilon) then
+          if (abs(yi-yo1) > epsilon) THEN
              print *, 'Pas de solution.', j, ylon2
              STOP 1
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gr_int_dyn.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gr_int_dyn.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gr_int_dyn.f90	(revision 5116)
@@ -12,10 +12,10 @@
 
   INTEGER :: iim
-  integer :: ip1, jp1
+  INTEGER :: ip1, jp1
   REAL :: champin(iim, jp1)
   REAL :: champdyn(iim+1, jp1)
 
   INTEGER :: i, j
-  real :: polenord, polesud
+  REAL :: polenord, polesud
 
   !-----------------------------------------------------------------------
@@ -34,7 +34,7 @@
   do j = 1, jp1
     do i = 1, iim
-      if (j == 1) then
+      if (j == 1) THEN
         champdyn(i, j) = polenord
-      else if (j == jp1) then
+      else if (j == jp1) THEN
         champdyn(i, j) = polesud
       else
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 5116)
@@ -226,5 +226,5 @@
   ! CLOSE netcdf file
   CALL ncclos(ncid_out,rcode_out)
-  write(*,*) "END grilles_gcm_netcdf_sub OK"
+  WRITE(*,*) "END grilles_gcm_netcdf_sub OK"
 
 END SUBROUTINE grilles_gcm_netcdf_sub
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iniconst.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iniconst.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iniconst.F90	(revision 5116)
@@ -21,6 +21,6 @@
   include "iniprint.h"
 
-  character(len=*),parameter :: modname="iniconst"
-  character(len=80) :: abort_message
+  CHARACTER(LEN=*),parameter :: modname="iniconst"
+  CHARACTER(LEN=80) :: abort_message
 
 
@@ -48,10 +48,10 @@
   r       = cpp * kappa
 
-  write(lunout,*) trim(modname),': R  CP  Kappa ',r,cpp,kappa
+  WRITE(lunout,*) trim(modname),': R  CP  Kappa ',r,cpp,kappa
 
   !-----------------------------------------------------------------------
 
   ! vertical discretization: default behavior depends on planet_type flag
-  if (planet_type=="earth") then
+  if (planet_type=="earth") THEN
      disvert_type=1
   else
@@ -60,17 +60,17 @@
   ! but user can also specify using one or the other in run.def:
   CALL getin('disvert_type',disvert_type)
-  write(lunout,*) trim(modname),': disvert_type=',disvert_type
+  WRITE(lunout,*) trim(modname),': disvert_type=',disvert_type
 
   pressure_exner = disvert_type == 1 ! default value
   CALL getin('pressure_exner', pressure_exner)
 
-  if (disvert_type==1) then
+  if (disvert_type==1) THEN
      ! standard case for Earth (automatic generation of levels)
      CALL disvert()
-  else if (disvert_type==2) then
+  else if (disvert_type==2) THEN
      ! standard case for planets (levels generated using z2sig.def file)
      CALL disvert_noterre
   else
-     write(abort_message,*) "Wrong value for disvert_type: ", disvert_type
+     WRITE(abort_message,*) "Wrong value for disvert_type: ", disvert_type
      CALL abort_gcm(modname,abort_message,0)
   endif
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inidissip.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inidissip.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inidissip.F90	(revision 5116)
@@ -1,7 +1,6 @@
-
 ! $Id$
 
-SUBROUTINE inidissip( lstardis,nitergdiv,nitergrot,niterh  , &
-     tetagdiv,tetagrot,tetatemp, vert_prof_dissip)
+SUBROUTINE inidissip(lstardis, nitergdiv, nitergrot, niterh, &
+        tetagdiv, tetagrot, tetatemp, vert_prof_dissip)
   !=======================================================================
   !   initialisation de la dissipation horizontale
@@ -11,9 +10,10 @@
   !   -------------
 
-  USE control_mod, ONLY: dissip_period,iperiod
+  USE control_mod, ONLY: dissip_period, iperiod
   USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
-                          dtdiss, dtvr, rad
+          dtdiss, dtvr, rad
   USE comvert_mod, ONLY: preff, presnivs
   USE lmdz_filtreg, ONLY: filtreg
+  USE lmdz_libmath, ONLY: minmax
 
   IMPLICIT NONE
@@ -23,9 +23,9 @@
   include "iniprint.h"
 
-  LOGICAL,INTENT(in) :: lstardis
-  INTEGER,INTENT(in) :: nitergdiv,nitergrot,niterh
-  REAL,INTENT(in) :: tetagdiv,tetagrot,tetatemp
-
-  integer, INTENT(in):: vert_prof_dissip
+  LOGICAL, INTENT(in) :: lstardis
+  INTEGER, INTENT(in) :: nitergdiv, nitergrot, niterh
+  REAL, INTENT(in) :: tetagdiv, tetagrot, tetatemp
+
+  integer, INTENT(in) :: vert_prof_dissip
   ! Vertical profile of horizontal dissipation
   ! Allowed values:
@@ -33,15 +33,15 @@
   ! 1: tanh of altitude
 
-! Local variables:
-  REAL fact,zvert(llm),zz
-  REAL zh(ip1jmp1),zu(ip1jmp1), gx(ip1jmp1), divgra(ip1jmp1)
-  real zv(ip1jm), gy(ip1jm), deltap(ip1jmp1,llm)
-  REAL ullm,vllm,umin,vmin,zhmin,zhmax
+  ! Local variables:
+  REAL fact, zvert(llm), zz
+  REAL zh(ip1jmp1), zu(ip1jmp1), gx(ip1jmp1), divgra(ip1jmp1)
+  real zv(ip1jm), gy(ip1jm), deltap(ip1jmp1, llm)
+  REAL ullm, vllm, umin, vmin, zhmin, zhmax
   REAL zllm
 
-  INTEGER l,ij,idum,ii
+  INTEGER l, ij, idum, ii
   REAL tetamin
   REAL pseudoz
-  character (len=80) :: abort_message
+  character (len = 80) :: abort_message
 
   REAL ran1
@@ -53,7 +53,7 @@
   !   -----------------------------------------------------------------
 
-  crot     = -1.
-  cdivu    = -1.
-  cdivh    = -1.
+  crot = -1.
+  cdivu = -1.
+  cdivh = -1.
 
   !   calcul de la valeur propre de divgrad:
@@ -61,99 +61,99 @@
   idum = 0
   DO l = 1, llm
-     DO ij = 1, ip1jmp1
-        deltap(ij,l) = 1.
-     ENDDO
-  ENDDO
-
-  idum  = -1
-  zh(1) = RAN1(idum)-.5
-  idum  = 0
+    DO ij = 1, ip1jmp1
+      deltap(ij, l) = 1.
+    ENDDO
+  ENDDO
+
+  idum = -1
+  zh(1) = RAN1(idum) - .5
+  idum = 0
   DO ij = 2, ip1jmp1
-     zh(ij) = RAN1(idum) -.5
-  ENDDO
-
-  CALL filtreg (zh,jjp1,1,2,1,.TRUE.,1)
-
-  CALL minmax(iip1*jjp1,zh,zhmin,zhmax )
-
-  IF ( zhmin >= zhmax  )     THEN
-     write(lunout,*)'  Inidissip  zh min max  ',zhmin,zhmax
-     abort_message='probleme generateur alleatoire dans inidissip'
-     CALL abort_gcm('inidissip',abort_message,1)
+    zh(ij) = RAN1(idum) - .5
+  ENDDO
+
+  CALL filtreg (zh, jjp1, 1, 2, 1, .TRUE., 1)
+
+  CALL minmax(iip1 * jjp1, zh, zhmin, zhmax)
+
+  IF (zhmin >= zhmax)     THEN
+    WRITE(lunout, *)'  Inidissip  zh min max  ', zhmin, zhmax
+    abort_message = 'probleme generateur alleatoire dans inidissip'
+    CALL abort_gcm('inidissip', abort_message, 1)
   ENDIF
 
-  zllm = ABS( zhmax )
-  DO l = 1,50
-     IF(lstardis) THEN
-        CALL divgrad2(1,zh,deltap,niterh,divgra)
-     ELSE
-        CALL divgrad (1,zh,niterh,divgra)
-     ENDIF
-
-     zllm  = ABS(maxval(divgra))
-     zh = divgra / zllm
+  zllm = ABS(zhmax)
+  DO l = 1, 50
+    IF(lstardis) THEN
+      CALL divgrad2(1, zh, deltap, niterh, divgra)
+    ELSE
+      CALL divgrad (1, zh, niterh, divgra)
+    ENDIF
+
+    zllm = ABS(maxval(divgra))
+    zh = divgra / zllm
   ENDDO
 
   IF(lstardis) THEN
-     cdivh = 1./ zllm
+    cdivh = 1. / zllm
   ELSE
-     cdivh = zllm ** ( -1./niterh )
+    cdivh = zllm ** (-1. / niterh)
   ENDIF
 
   !   calcul des valeurs propres de gradiv (ii =1) et  nxgrarot(ii=2)
   !   -----------------------------------------------------------------
-  write(lunout,*)'inidissip: calcul des valeurs propres'
+  WRITE(lunout, *)'inidissip: calcul des valeurs propres'
 
   DO    ii = 1, 2
 
-     DO ij = 1, ip1jmp1
-        zu(ij)  = RAN1(idum) -.5
-     ENDDO
-     CALL filtreg (zu,jjp1,1,2,1,.TRUE.,1)
-     DO ij = 1, ip1jm
-        zv(ij) = RAN1(idum) -.5
-     ENDDO
-     CALL filtreg (zv,jjm,1,2,1,.FALSE.,1)
-
-     CALL minmax(iip1*jjp1,zu,umin,ullm )
-     CALL minmax(iip1*jjm, zv,vmin,vllm )
-
-     ullm = ABS ( ullm )
-     vllm = ABS ( vllm )
-
-     DO    l = 1, 50
-        IF(ii==1) THEN
-           !cccc             CALL covcont( 1,zu,zv,zu,zv )
-           IF(lstardis) THEN
-              CALL gradiv2( 1,zu,zv,nitergdiv,gx,gy )
-           ELSE
-              CALL gradiv ( 1,zu,zv,nitergdiv,gx,gy )
-           ENDIF
+    DO ij = 1, ip1jmp1
+      zu(ij) = RAN1(idum) - .5
+    ENDDO
+    CALL filtreg (zu, jjp1, 1, 2, 1, .TRUE., 1)
+    DO ij = 1, ip1jm
+      zv(ij) = RAN1(idum) - .5
+    ENDDO
+    CALL filtreg (zv, jjm, 1, 2, 1, .FALSE., 1)
+
+    CALL minmax(iip1 * jjp1, zu, umin, ullm)
+    CALL minmax(iip1 * jjm, zv, vmin, vllm)
+
+    ullm = ABS (ullm)
+    vllm = ABS (vllm)
+
+    DO    l = 1, 50
+      IF(ii==1) THEN
+        !cccc             CALL covcont( 1,zu,zv,zu,zv )
+        IF(lstardis) THEN
+          CALL gradiv2(1, zu, zv, nitergdiv, gx, gy)
         ELSE
-           IF(lstardis) THEN
-              CALL nxgraro2( 1,zu,zv,nitergrot,gx,gy )
-           ELSE
-              CALL nxgrarot( 1,zu,zv,nitergrot,gx,gy )
-           ENDIF
+          CALL gradiv (1, zu, zv, nitergdiv, gx, gy)
         ENDIF
-
-        zllm = max(abs(maxval(gx)), abs(maxval(gy)))
-        zu = gx / zllm
-        zv = gy / zllm
-     end DO
-
-     IF ( ii==1 ) THEN
+      ELSE
         IF(lstardis) THEN
-           cdivu  = 1./zllm
+          CALL nxgraro2(1, zu, zv, nitergrot, gx, gy)
         ELSE
-           cdivu  = zllm **( -1./nitergdiv )
+          CALL nxgrarot(1, zu, zv, nitergrot, gx, gy)
         ENDIF
-     ELSE
-        IF(lstardis) THEN
-           crot   = 1./ zllm
-        ELSE
-           crot   = zllm **( -1./nitergrot )
-        ENDIF
-     ENDIF
+      ENDIF
+
+      zllm = max(abs(maxval(gx)), abs(maxval(gy)))
+      zu = gx / zllm
+      zv = gy / zllm
+    end DO
+
+    IF (ii==1) THEN
+      IF(lstardis) THEN
+        cdivu = 1. / zllm
+      ELSE
+        cdivu = zllm **(-1. / nitergdiv)
+      ENDIF
+    ELSE
+      IF(lstardis) THEN
+        crot = 1. / zllm
+      ELSE
+        crot = zllm **(-1. / nitergrot)
+      ENDIF
+    ENDIF
 
   end DO
@@ -163,9 +163,9 @@
 
   !     IF(.NOT.lstardis) THEN
-  fact    = rad*24./REAL(jjm)
-  fact    = fact*fact
-  write(lunout,*)'inidissip: coef u ', fact/cdivu, 1./cdivu
-  write(lunout,*)'inidissip: coef r ', fact/crot , 1./crot
-  write(lunout,*)'inidissip: coef h ', fact/cdivh, 1./cdivh
+  fact = rad * 24. / REAL(jjm)
+  fact = fact * fact
+  WRITE(lunout, *)'inidissip: coef u ', fact / cdivu, 1. / cdivu
+  WRITE(lunout, *)'inidissip: coef r ', fact / crot, 1. / crot
+  WRITE(lunout, *)'inidissip: coef h ', fact / cdivh, 1. / cdivh
   !     ENDIF
 
@@ -174,50 +174,49 @@
   !   --------------------------------------------------
 
-  if (vert_prof_dissip == 1) then
-     do l=1,llm
-        pseudoz=8.*log(preff/presnivs(l))
-        zvert(l)=1+ &
-             (tanh((pseudoz-dissip_zref)/dissip_deltaz)+1.)/2. &
-             *(dissip_factz-1.)
-     enddo
+  if (vert_prof_dissip == 1) THEN
+    do l = 1, llm
+      pseudoz = 8. * log(preff / presnivs(l))
+      zvert(l) = 1 + &
+              (tanh((pseudoz - dissip_zref) / dissip_deltaz) + 1.) / 2. &
+                      * (dissip_factz - 1.)
+    enddo
   else
-     DO l=1,llm
-        zvert(l)=1.
-     ENDDO
-     fact=2.
-     DO l = 1, llm
-        zz      = 1. - preff/presnivs(l)
-        zvert(l)= fact -( fact-1.)/( 1.+zz*zz )
-     ENDDO
+    DO l = 1, llm
+      zvert(l) = 1.
+    ENDDO
+    fact = 2.
+    DO l = 1, llm
+      zz = 1. - preff / presnivs(l)
+      zvert(l) = fact - (fact - 1.) / (1. + zz * zz)
+    ENDDO
   endif
 
-
-  write(lunout,*)'inidissip: Constantes de temps de la diffusion horizontale'
-
-  tetamin =  1.e+6
-
-  DO l=1,llm
-     tetaudiv(l)   = zvert(l)/tetagdiv
-     tetaurot(l)   = zvert(l)/tetagrot
-     tetah(l)      = zvert(l)/tetatemp
-
-     IF( tetamin> (1./tetaudiv(l)) ) tetamin = 1./ tetaudiv(l)
-     IF( tetamin> (1./tetaurot(l)) ) tetamin = 1./ tetaurot(l)
-     IF( tetamin> (1./   tetah(l)) ) tetamin = 1./    tetah(l)
+  WRITE(lunout, *)'inidissip: Constantes de temps de la diffusion horizontale'
+
+  tetamin = 1.e+6
+
+  DO l = 1, llm
+    tetaudiv(l) = zvert(l) / tetagdiv
+    tetaurot(l) = zvert(l) / tetagrot
+    tetah(l) = zvert(l) / tetatemp
+
+    IF(tetamin> (1. / tetaudiv(l))) tetamin = 1. / tetaudiv(l)
+    IF(tetamin> (1. / tetaurot(l))) tetamin = 1. / tetaurot(l)
+    IF(tetamin> (1. / tetah(l))) tetamin = 1. / tetah(l)
   ENDDO
 
   ! If dissip_period=0 calculate value for dissipation period, else keep value read from gcm.def
   IF (dissip_period == 0) THEN
-     dissip_period = INT( tetamin/( 2.*dtvr*iperiod) ) * iperiod
-     write(lunout,*)'inidissip: tetamin dtvr iperiod dissip_period(intermed) ',tetamin,dtvr,iperiod,dissip_period
-     dissip_period = MAX(iperiod,dissip_period)
+    dissip_period = INT(tetamin / (2. * dtvr * iperiod)) * iperiod
+    WRITE(lunout, *)'inidissip: tetamin dtvr iperiod dissip_period(intermed) ', tetamin, dtvr, iperiod, dissip_period
+    dissip_period = MAX(iperiod, dissip_period)
   END IF
 
-  dtdiss  = dissip_period * dtvr
-  write(lunout,*)'inidissip: dissip_period=',dissip_period,' dtdiss=',dtdiss,' dtvr=',dtvr
-
-  DO l = 1,llm
-     write(lunout,*)zvert(l),dtdiss*tetaudiv(l),dtdiss*tetaurot(l), &
-          dtdiss*tetah(l)
+  dtdiss = dissip_period * dtvr
+  WRITE(lunout, *)'inidissip: dissip_period=', dissip_period, ' dtdiss=', dtdiss, ' dtvr=', dtvr
+
+  DO l = 1, llm
+    WRITE(lunout, *)zvert(l), dtdiss * tetaudiv(l), dtdiss * tetaurot(l), &
+            dtdiss * tetah(l)
   ENDDO
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigeom.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigeom.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigeom.f90	(revision 5116)
@@ -16,6 +16,6 @@
   !
   !
-  use fxhyp_m, only: fxhyp
-  use fyhyp_m, only: fyhyp
+  use fxhyp_m, ONLY: fxhyp
+  use fyhyp_m, ONLY: fyhyp
   USE comconst_mod, ONLY: pi, g, omeg, rad
   USE logic_mod, ONLY: fxyhypb, ysinus
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigrads.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigrads.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigrads.f90	(revision 5116)
@@ -7,15 +7,15 @@
   IMPLICIT NONE
 
-  integer :: if, im, jm, lm, i, j, l
-  real :: x(im), y(jm), z(lm), fx, fy, fz, dt
-  real :: xmin, xmax, ymin, ymax
+  INTEGER :: if, im, jm, lm, i, j, l
+  REAL :: x(im), y(jm), z(lm), fx, fy, fz, dt
+  REAL :: xmin, xmax, ymin, ymax
 
-  character(len = *), intent(in) :: file
-  character(len = *), intent(in) :: titlel
+  CHARACTER(LEN = *), intent(in) :: file
+  CHARACTER(LEN = *), intent(in) :: titlel
 
   INCLUDE "gradsdef.h"
 
   ! data unit/66,32,34,36,38,40,42,44,46,48/
-  integer :: nf
+  INTEGER :: nf
   save nf
   data nf/0/
@@ -49,6 +49,6 @@
   do i = 1, im
     xd(i, if) = x(i) * fx
-    if(xd(i, if)<xmin) iid(if) = i + 1
-    if(xd(i, if)<=xmax) ifd(if) = i
+    IF(xd(i, if)<xmin) iid(if) = i + 1
+    IF(xd(i, if)<=xmax) ifd(if) = i
   enddo
   PRINT*, 'On stoke du point ', iid(if), '  a ', ifd(if), ' en x'
@@ -59,6 +59,6 @@
   do j = 1, jm
     yd(j, if) = y(j) * fy
-    if(yd(j, if)>ymax) jid(if) = j + 1
-    if(yd(j, if)>=ymin) jfd(if) = j
+    IF(yd(j, if)>ymax) jid(if) = j + 1
+    IF(yd(j, if)>=ymin) jfd(if) = j
   enddo
   PRINT*, 'On stoke du point ', jid(if), '  a ', jfd(if), ' en y'
@@ -89,3 +89,3 @@
 
 
-end subroutine inigrads
+END SUBROUTINE inigrads
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.f90	(revision 5116)
@@ -47,21 +47,21 @@
   !   Arguments
   !
-  character(len = *) :: infile
-  real :: tstep, t_ops, t_wrt
-  integer :: fileid, filevid, filedid
+  CHARACTER(LEN = *) :: infile
+  REAL :: tstep, t_ops, t_wrt
+  INTEGER :: fileid, filevid, filedid
 
   ! This routine needs IOIPSL to work
   !   Variables locales
   !
-  real :: nivd(1)
-  integer :: tau0
-  real :: zjulian
-  character(len = 3) :: str
-  character(len = 10) :: ctrac
-  integer :: iq
-  real :: rlong(iip1, jjp1), rlat(iip1, jjp1), rl(1, 1)
-  integer :: uhoriid, vhoriid, thoriid, zvertiid, dhoriid, dvertiid
-  integer :: ii, jj
-  integer :: zan, idayref
+  REAL :: nivd(1)
+  INTEGER :: tau0
+  REAL :: zjulian
+  CHARACTER(LEN = 3) :: str
+  CHARACTER(LEN = 10) :: ctrac
+  INTEGER :: iq
+  REAL :: rlong(iip1, jjp1), rlat(iip1, jjp1), rl(1, 1)
+  INTEGER :: uhoriid, vhoriid, thoriid, zvertiid, dhoriid, dvertiid
+  INTEGER :: ii, jj
+  INTEGER :: zan, idayref
   logical :: ok_sync
   !
@@ -211,5 +211,5 @@
   CALL histend(filevid)
   CALL histend(filedid)
-  if (ok_sync) then
+  if (ok_sync) THEN
     CALL histsync(fileid)
     CALL histsync(filevid)
@@ -217,4 +217,4 @@
   endif
 
-  return
-end subroutine initfluxsto
+  RETURN
+END SUBROUTINE initfluxsto
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inithist.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inithist.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inithist.F90	(revision 5116)
@@ -46,17 +46,17 @@
   !   Arguments
   !
-  integer :: day0, anne0
-  real :: tstep, t_ops, t_wrt
+  INTEGER :: day0, anne0
+  REAL :: tstep, t_ops, t_wrt
 
   ! This routine needs IOIPSL to work
   !   Variables locales
   !
-  integer :: tau0
-  real :: zjulian
-  integer :: iq
-  real :: rlong(iip1, jjp1), rlat(iip1, jjp1)
-  integer :: uhoriid, vhoriid, thoriid, zvertiid
-  integer :: ii, jj
-  integer :: zan, dayref
+  INTEGER :: tau0
+  REAL :: zjulian
+  INTEGER :: iq
+  REAL :: rlong(iip1, jjp1), rlat(iip1, jjp1)
+  INTEGER :: uhoriid, vhoriid, thoriid, zvertiid
+  INTEGER :: ii, jj
+  INTEGER :: zan, dayref
   !
   !  Initialisations
